# Class ElementName

java.lang.Object
nu.validator.htmlparser.impl.ElementName

public final class ElementName extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ElementName`
`A`
`static final ElementName`
`ABBR`
`static final ElementName`
`ACRONYM`
`static final ElementName`
`ADDRESS`
`static final ElementName`
`ALTGLYPH`
`static final ElementName`
`ALTGLYPHDEF`
`static final ElementName`
`ALTGLYPHITEM`
`static final ElementName`
`ANIMATE`
`static final ElementName`
`ANIMATECOLOR`
`static final ElementName`
`ANIMATEMOTION`
`static final ElementName`
`ANIMATETRANSFORM`
`static final ElementName`
`ANNOTATION_XML`
`static final ElementName`
`APPLET`
`static final ElementName`
`AREA`
`static final ElementName`
`ARTICLE`
`static final ElementName`
`ASIDE`
`static final ElementName`
`AUDIO`
`static final ElementName`
`B`
`static final ElementName`
`BASE`
`static final ElementName`
`BASEFONT`
`static final ElementName`
`BDI`
`static final ElementName`
`BDO`
`static final ElementName`
`BGSOUND`
`static final ElementName`
`BIG`
`static final ElementName`
`BLOCKQUOTE`
`static final ElementName`
`BODY`
`static final ElementName`
`BR`
`static final ElementName`
`BUTTON`
`static final ElementName`
`CANVAS`
`static final ElementName`
`CAPTION`
`static final ElementName`
`CENTER`
`static final ElementName`
`CIRCLE`
`static final ElementName`
`CITE`
`static final ElementName`
`CLIPPATH`
`static final ElementName`
`CODE`
`static final ElementName`
`COL`
`static final ElementName`
`COLGROUP`
`static final ElementName`
`DATA`
`static final ElementName`
`DATALIST`
`static final ElementName`
`DD`
`static final ElementName`
`DEFS`
`static final ElementName`
`DEL`
`static final ElementName`
`DESC`
`static final ElementName`
`DETAILS`
`static final ElementName`
`DFN`
`static final ElementName`
`DIALOG`
`static final ElementName`
`DIR`
`static final ElementName`
`DIV`
`static final ElementName`
`DL`
`static final ElementName`
`DT`
`static final ElementName`
`ELLIPSE`
`static final ElementName`
`EM`
`static final ElementName`
`EMBED`
`static final ElementName`
`FEBLEND`
`static final ElementName`
`FECOLORMATRIX`
`static final ElementName`
`FECOMPONENTTRANSFER`
`static final ElementName`
`FECOMPOSITE`
`static final ElementName`
`FECONVOLVEMATRIX`
`static final ElementName`
`FEDIFFUSELIGHTING`
`static final ElementName`
`FEDISPLACEMENTMAP`
`static final ElementName`
`FEDISTANTLIGHT`
`static final ElementName`
`FEDROPSHADOW`
`static final ElementName`
`FEFLOOD`
`static final ElementName`
`FEFUNCA`
`static final ElementName`
`FEFUNCB`
`static final ElementName`
`FEFUNCG`
`static final ElementName`
`FEFUNCR`
`static final ElementName`
`FEGAUSSIANBLUR`
`static final ElementName`
`FEIMAGE`
`static final ElementName`
`FEMERGE`
`static final ElementName`
`FEMERGENODE`
`static final ElementName`
`FEMORPHOLOGY`
`static final ElementName`
`FEOFFSET`
`static final ElementName`
`FEPOINTLIGHT`
`static final ElementName`
`FESPECULARLIGHTING`
`static final ElementName`
`FESPOTLIGHT`
`static final ElementName`
`FETILE`
`static final ElementName`
`FETURBULENCE`
`static final ElementName`
`FIELDSET`
`static final ElementName`
`FIGCAPTION`
`static final ElementName`
`FIGURE`
`static final ElementName`
`FILTER`
`final int`
`flags`
The lowest 7 bits are the dispatch group.
`static final ElementName`
`FONT`
`static final ElementName`
`FOOTER`
`static final ElementName`
`FOREIGNOBJECT`
`static final ElementName`
`FORM`
`static final int`
`FOSTER_PARENTING`
The element is foster-parenting.
`static final ElementName`
`FRAME`
`static final ElementName`
`FRAMESET`
`static final ElementName`
`G`
`static final ElementName`
`GLYPHREF`
`static final int`
`GROUP_MASK`
The mask for extracting the dispatch group.
`static final ElementName`
`H1`
`static final ElementName`
`H2`
`static final ElementName`
`H3`
`static final ElementName`
`H4`
`static final ElementName`
`H5`
`static final ElementName`
`H6`
`static final ElementName`
`HEAD`
`static final ElementName`
`HEADER`
`static final ElementName`
`HGROUP`
`static final ElementName`
`HR`
`static final ElementName`
`HTML`
`static final int`
`HTML_INTEGRATION_POINT`
The element is an HTML integration point.
`static final ElementName`
`I`
`static final ElementName`
`IFRAME`
`static final ElementName`
`IMAGE`
`static final ElementName`
`IMG`
`static final ElementName`
`INPUT`
`static final ElementName`
`INS`
`static final ElementName`
`KBD`
`static final ElementName`
`KEYGEN`
`static final ElementName`
`LABEL`
`static final ElementName`
`LEGEND`
`static final ElementName`
`LI`
`static final ElementName`
`LINE`
`static final ElementName`
`LINEARGRADIENT`
`static final ElementName`
`LINK`
`static final ElementName`
`LISTING`
`static final ElementName`
`MAIN`
`static final ElementName`
`MALIGNMARK`
`static final ElementName`
`MAP`
`static final ElementName`
`MARK`
`static final ElementName`
`MARKER`
`static final ElementName`
`MARQUEE`
`static final ElementName`
`MASK`
`static final ElementName`
`MATH`
`static final ElementName`
`MENU`
`static final ElementName`
`META`
`static final ElementName`
`METADATA`
`static final ElementName`
`METER`
`static final ElementName`
`MGLYPH`
`static final ElementName`
`MI`
`static final ElementName`
`MN`
`static final ElementName`
`MO`
`static final ElementName`
`MPATH`
`static final ElementName`
`MS`
`static final ElementName`
`MTEXT`
`static final ElementName`
`NAV`
`static final ElementName`
`NOBR`
`static final ElementName`
`NOEMBED`
`static final ElementName`
`NOFRAMES`
`static final ElementName`
`NOSCRIPT`
`static final int`
`NOT_INTERNED`
Indicates that the element is not a pre-interned element.
`static final ElementName`
`OBJECT`
`static final ElementName`
`OL`
`static final ElementName`
`OPTGROUP`
`static final ElementName`
`OPTION`
`static final int`
`OPTIONAL_END_TAG`
The element has an optional end tag.
`static final ElementName`
`OUTPUT`
`static final ElementName`
`P`
`static final ElementName`
`PARAM`
`static final ElementName`
`PATH`
`static final ElementName`
`PATTERN`
`static final ElementName`
`PICTURE`
`static final ElementName`
`PLAINTEXT`
`static final ElementName`
`POLYGON`
`static final ElementName`
`POLYLINE`
`static final ElementName`
`PRE`
`static final ElementName`
`PROGRESS`
`static final ElementName`
`Q`
`static final ElementName`
`RADIALGRADIENT`
`static final ElementName`
`RB`
`static final ElementName`
`RECT`
`static final ElementName`
`RP`
`static final ElementName`
`RT`
`static final ElementName`
`RTC`
`static final ElementName`
`RUBY`
`static final ElementName`
`S`
`static final ElementName`
`SAMP`
`static final int`
`SCOPING`
The element is scoping.
`static final int`
`SCOPING_AS_MATHML`
The element is scoping as MathML.
`static final int`
`SCOPING_AS_SVG`
The element is scoping as SVG.
`static final ElementName`
`SCRIPT`
`static final ElementName`
`SEARCH`
`static final ElementName`
`SECTION`
`static final ElementName`
`SELECT`
`static final ElementName`
`SELECTEDCONTENT`
`static final ElementName`
`SET`
`static final ElementName`
`SLOT`
`static final ElementName`
`SMALL`
`static final ElementName`
`SOURCE`
`static final ElementName`
`SPAN`
`static final int`
`SPECIAL`
Indicates that the element is in the "special" category.
`static final ElementName`
`STOP`
`static final ElementName`
`STRIKE`
`static final ElementName`
`STRONG`
`static final ElementName`
`STYLE`
`static final ElementName`
`SUB`
`static final ElementName`
`SUMMARY`
`static final ElementName`
`SUP`
`static final ElementName`
`SVG`
`static final ElementName`
`SWITCH`
`static final ElementName`
`SYMBOL`
`static final ElementName`
`TABLE`
`static final ElementName`
`TBODY`
`static final ElementName`
`TD`
`static final ElementName`
`TEMPLATE`
`static final ElementName`
`TEXT`
`static final ElementName`
`TEXTAREA`
`static final ElementName`
`TEXTPATH`
`static final ElementName`
`TFOOT`
`static final ElementName`
`TH`
`static final ElementName`
`THEAD`
`static final ElementName`
`TIME`
`static final ElementName`
`TITLE`
`static final ElementName`
`TR`
`static final ElementName`
`TRACK`
`static final ElementName`
`TSPAN`
`static final ElementName`
`TT`
`static final ElementName`
`U`
`static final ElementName`
`UL`
`static final ElementName`
`USE`
`static final ElementName`
`VAR`
`static final ElementName`
`VIDEO`
`static final ElementName`
`VIEW`
`static final ElementName`
`WBR`
`static final ElementName`
`XMP`

## Constructor Summary

Constructors
Constructor
Description
`ElementName()`

## Method Summary

Modifier and Type
Method
Description
`void`
`destructor()`
`String`
`getCamelCaseName()`
`int`
`getFlags()`
`int`
`getGroup()`
`String`
`getName()`
`boolean`
`isInterned()`
`void`
`setNameForNonInterned(String name)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GROUP_MASK

public static final int GROUP_MASK
The mask for extracting the dispatch group.

See Also:
  - Constant Field Values

### NOT_INTERNED

public static final int NOT_INTERNED
Indicates that the element is not a pre-interned element. Forbidden on preinterned elements.

See Also:
  - Constant Field Values

### SPECIAL

public static final int SPECIAL
Indicates that the element is in the "special" category. This bit should not be pre-set on MathML or SVG specials--only on HTML specials.

See Also:
  - Constant Field Values

### FOSTER_PARENTING

public static final int FOSTER_PARENTING
The element is foster-parenting. This bit should be pre-set on elements that are foster-parenting as HTML.

See Also:
  - Constant Field Values

### SCOPING

public static final int SCOPING
The element is scoping. This bit should be pre-set on elements that are scoping as HTML.

See Also:
  - Constant Field Values

### SCOPING_AS_SVG

public static final int SCOPING_AS_SVG
The element is scoping as SVG.

See Also:
  - Constant Field Values

### SCOPING_AS_MATHML

public static final int SCOPING_AS_MATHML
The element is scoping as MathML.

See Also:
  - Constant Field Values

### HTML_INTEGRATION_POINT

public static final int HTML_INTEGRATION_POINT
The element is an HTML integration point.

See Also:
  - Constant Field Values

### OPTIONAL_END_TAG

public static final int OPTIONAL_END_TAG
The element has an optional end tag.

See Also:
  - Constant Field Values

### flags

public final int flags
The lowest 7 bits are the dispatch group. The high bits are flags.

### ANNOTATION_XML

public static final ElementName ANNOTATION_XML

### BIG

public static final ElementName BIG

### BDI

public static final ElementName BDI

### BDO

public static final ElementName BDO

### COL

public static final ElementName COL

### DEL

public static final ElementName DEL

### DFN

public static final ElementName DFN

### DIR

public static final ElementName DIR

### DIV

public static final ElementName DIV

### IMG

public static final ElementName IMG

### INS

public static final ElementName INS

### KBD

public static final ElementName KBD

### MAP

public static final ElementName MAP

### NAV

public static final ElementName NAV

### PRE

public static final ElementName PRE

### A

public static final ElementName A

### B

public static final ElementName B

### RTC

public static final ElementName RTC

### SUB

public static final ElementName SUB

### SVG

public static final ElementName SVG

### SUP

public static final ElementName SUP

### SET

public static final ElementName SET

### USE

public static final ElementName USE

### VAR

public static final ElementName VAR

### G

public static final ElementName G

### WBR

public static final ElementName WBR

### XMP

public static final ElementName XMP

### I

public static final ElementName I

### P

public static final ElementName P

### Q

public static final ElementName Q

### S

public static final ElementName S

### U

public static final ElementName U

### H1

public static final ElementName H1

### H2

public static final ElementName H2

### H3

public static final ElementName H3

### H4

public static final ElementName H4

### H5

public static final ElementName H5

### H6

public static final ElementName H6

### AREA

public static final ElementName AREA

### DATA

public static final ElementName DATA

### FEFUNCA

public static final ElementName FEFUNCA

### METADATA

public static final ElementName METADATA

### META

public static final ElementName META

### TEXTAREA

public static final ElementName TEXTAREA

### FEFUNCB

public static final ElementName FEFUNCB

### RB

public static final ElementName RB

### DESC

public static final ElementName DESC

### DD

public static final ElementName DD

### BGSOUND

public static final ElementName BGSOUND

### EMBED

public static final ElementName EMBED

### FEBLEND

public static final ElementName FEBLEND

### FEFLOOD

public static final ElementName FEFLOOD

### HEAD

public static final ElementName HEAD

### LEGEND

public static final ElementName LEGEND

### NOEMBED

public static final ElementName NOEMBED

### TD

public static final ElementName TD

### THEAD

public static final ElementName THEAD

### ASIDE

public static final ElementName ASIDE

### ARTICLE

public static final ElementName ARTICLE

### ANIMATE

public static final ElementName ANIMATE

### BASE

public static final ElementName BASE

### BLOCKQUOTE

public static final ElementName BLOCKQUOTE

### CODE

public static final ElementName CODE

### CIRCLE

public static final ElementName CIRCLE

### CITE

public static final ElementName CITE

### ELLIPSE

public static final ElementName ELLIPSE

### FETURBULENCE

public static final ElementName FETURBULENCE

### FEMERGENODE

public static final ElementName FEMERGENODE

### FEIMAGE

public static final ElementName FEIMAGE

### FEMERGE

public static final ElementName FEMERGE

### FETILE

public static final ElementName FETILE

### FRAME

public static final ElementName FRAME

### FIGURE

public static final ElementName FIGURE

### FECOMPOSITE

public static final ElementName FECOMPOSITE

### IMAGE

public static final ElementName IMAGE

### IFRAME

public static final ElementName IFRAME

### LINE

public static final ElementName LINE

### MARQUEE

public static final ElementName MARQUEE

### POLYLINE

public static final ElementName POLYLINE

### PICTURE

public static final ElementName PICTURE

### SOURCE

public static final ElementName SOURCE

### STRIKE

public static final ElementName STRIKE

### STYLE

public static final ElementName STYLE

### TABLE

public static final ElementName TABLE

### TITLE

public static final ElementName TITLE

### TIME

public static final ElementName TIME

### TEMPLATE

public static final ElementName TEMPLATE

### ALTGLYPHDEF

public static final ElementName ALTGLYPHDEF

### GLYPHREF

public static final ElementName GLYPHREF

### DIALOG

public static final ElementName DIALOG

### FEFUNCG

public static final ElementName FEFUNCG

### FEDIFFUSELIGHTING

public static final ElementName FEDIFFUSELIGHTING

### FESPECULARLIGHTING

public static final ElementName FESPECULARLIGHTING

### LISTING

public static final ElementName LISTING

### STRONG

public static final ElementName STRONG

### ALTGLYPH

public static final ElementName ALTGLYPH

### CLIPPATH

public static final ElementName CLIPPATH

### MGLYPH

public static final ElementName MGLYPH

### MATH

public static final ElementName MATH

### MPATH

public static final ElementName MPATH

### PATH

public static final ElementName PATH

### TH

public static final ElementName TH

### SEARCH

public static final ElementName SEARCH

### SWITCH

public static final ElementName SWITCH

### TEXTPATH

public static final ElementName TEXTPATH

### LI

public static final ElementName LI

### MI

public static final ElementName MI

### LINK

public static final ElementName LINK

### MARK

public static final ElementName MARK

### MALIGNMARK

public static final ElementName MALIGNMARK

### MASK

public static final ElementName MASK

### TRACK

public static final ElementName TRACK

### DL

public static final ElementName DL

### HTML

public static final ElementName HTML

### OL

public static final ElementName OL

### LABEL

public static final ElementName LABEL

### UL

public static final ElementName UL

### SMALL

public static final ElementName SMALL

### SYMBOL

public static final ElementName SYMBOL

### ALTGLYPHITEM

public static final ElementName ALTGLYPHITEM

### ANIMATETRANSFORM

public static final ElementName ANIMATETRANSFORM

### ACRONYM

public static final ElementName ACRONYM

### EM

public static final ElementName EM

### FORM

public static final ElementName FORM

### PARAM

public static final ElementName PARAM

### ANIMATEMOTION

public static final ElementName ANIMATEMOTION

### BUTTON

public static final ElementName BUTTON

### CAPTION

public static final ElementName CAPTION

### FIGCAPTION

public static final ElementName FIGCAPTION

### MN

public static final ElementName MN

### KEYGEN

public static final ElementName KEYGEN

### MAIN

public static final ElementName MAIN

### OPTION

public static final ElementName OPTION

### POLYGON

public static final ElementName POLYGON

### PATTERN

public static final ElementName PATTERN

### SPAN

public static final ElementName SPAN

### SECTION

public static final ElementName SECTION

### TSPAN

public static final ElementName TSPAN

### AUDIO

public static final ElementName AUDIO

### MO

public static final ElementName MO

### VIDEO

public static final ElementName VIDEO

### COLGROUP

public static final ElementName COLGROUP

### FEDISPLACEMENTMAP

public static final ElementName FEDISPLACEMENTMAP

### HGROUP

public static final ElementName HGROUP

### RP

public static final ElementName RP

### OPTGROUP

public static final ElementName OPTGROUP

### SAMP

public static final ElementName SAMP

### STOP

public static final ElementName STOP

### BR

public static final ElementName BR

### ABBR

public static final ElementName ABBR

### ANIMATECOLOR

public static final ElementName ANIMATECOLOR

### CENTER

public static final ElementName CENTER

### HR

public static final ElementName HR

### FEFUNCR

public static final ElementName FEFUNCR

### FECOMPONENTTRANSFER

public static final ElementName FECOMPONENTTRANSFER

### FILTER

public static final ElementName FILTER

### FOOTER

public static final ElementName FOOTER

### FEGAUSSIANBLUR

public static final ElementName FEGAUSSIANBLUR

### HEADER

public static final ElementName HEADER

### MARKER

public static final ElementName MARKER

### METER

public static final ElementName METER

### NOBR

public static final ElementName NOBR

### TR

public static final ElementName TR

### ADDRESS

public static final ElementName ADDRESS

### CANVAS

public static final ElementName CANVAS

### DEFS

public static final ElementName DEFS

### DETAILS

public static final ElementName DETAILS

### MS

public static final ElementName MS

### NOFRAMES

public static final ElementName NOFRAMES

### PROGRESS

public static final ElementName PROGRESS

### DT

public static final ElementName DT

### APPLET

public static final ElementName APPLET

### BASEFONT

public static final ElementName BASEFONT

### DATALIST

public static final ElementName DATALIST

### FOREIGNOBJECT

public static final ElementName FOREIGNOBJECT

### FIELDSET

public static final ElementName FIELDSET

### FRAMESET

public static final ElementName FRAMESET

### FEOFFSET

public static final ElementName FEOFFSET

### FESPOTLIGHT

public static final ElementName FESPOTLIGHT

### FEPOINTLIGHT

public static final ElementName FEPOINTLIGHT

### FEDISTANTLIGHT

public static final ElementName FEDISTANTLIGHT

### FONT

public static final ElementName FONT

### INPUT

public static final ElementName INPUT

### LINEARGRADIENT

public static final ElementName LINEARGRADIENT

### MTEXT

public static final ElementName MTEXT

### NOSCRIPT

public static final ElementName NOSCRIPT

### RT

public static final ElementName RT

### OBJECT

public static final ElementName OBJECT

### OUTPUT

public static final ElementName OUTPUT

### PLAINTEXT

public static final ElementName PLAINTEXT

### TT

public static final ElementName TT

### RECT

public static final ElementName RECT

### RADIALGRADIENT

public static final ElementName RADIALGRADIENT

### SELECT

public static final ElementName SELECT

### SELECTEDCONTENT

public static final ElementName SELECTEDCONTENT

### SLOT

public static final ElementName SLOT

### SCRIPT

public static final ElementName SCRIPT

### TFOOT

public static final ElementName TFOOT

### TEXT

public static final ElementName TEXT

### MENU

public static final ElementName MENU

### FEDROPSHADOW

public static final ElementName FEDROPSHADOW

### VIEW

public static final ElementName VIEW

### FECOLORMATRIX

public static final ElementName FECOLORMATRIX

### FECONVOLVEMATRIX

public static final ElementName FECONVOLVEMATRIX

### BODY

public static final ElementName BODY

### FEMORPHOLOGY

public static final ElementName FEMORPHOLOGY

### RUBY

public static final ElementName RUBY

### SUMMARY

public static final ElementName SUMMARY

### TBODY

public static final ElementName TBODY

## Constructor Details

### ElementName

public ElementName()

## Method Details

### getName

public String getName()

### getCamelCaseName

public String getCamelCaseName()

### getFlags

public int getFlags()

### getGroup

public int getGroup()

### isInterned

public boolean isInterned()

### destructor

public void destructor()

### setNameForNonInterned

public void setNameForNonInterned(String name)